# Verify a send using a one-time password (deprecated)

Deprecated in favour of [Challenges endpoints](#tag/Confirmation-Challenges/operation/multipleSCAVerify)
Completes the verification process for a Send.
If the outcome of the verification is successful, the send is executed.
If not verified challenge expires after 5 minutes and the number of incorrect OTP attempts is limited to reduce the risk of fraud.
*Note that on the Sandbox Environment, text messages are not sent and the `verificationCode` is always "123456".*

Endpoint: POST /sends/{id}/challenges/otp/{channel}/verify
Version: v3
Security: auth_token, api-key

## Path parameters:

  - `id` (string, required)
    The unique identifier of the send transaction.

  - `channel` (string, required)
    The unique identifier for the channel.

## Request fields (application/json):

  - `verificationCode` (string, required)
    A randomly generated one-time use code.

## Response 400 fields (application/json):

  - `message` (string)
    When present helps to identify and fix the problem.

  - `syntaxErrors` (object)
    Is returned as part of an HTTP error response whenever a syntax error is detected. A list of the fields together with their syntax error will be provided.

  - `syntaxErrors.invalidFields` (array)

  - `syntaxErrors.invalidFields.params` (array)

  - `syntaxErrors.invalidFields.fieldName` (string)

  - `syntaxErrors.invalidFields.error` (string)
    Enum: "REQUIRED", "HAS_TEXT", "REQUIRES", "SIZE", "RANGE", "IN", "NOT_IN", "REGEX", "EXACTLY", "AT_LEAST", "AT_MOST", "ALL_OR_NONE"

## Response 403 fields (application/json):

  - `errorCode` (string)
    Enum: "INSUFFICIENT_PERMISSIONS"

## Response 409 fields (application/json):

  - `errorCode` (string)
    Enum: "STATE_INVALID", "CHANNEL_NOT_SUPPORTED", "CHANNEL_NOT_REGISTERED", "VERIFICATION_CODE_EXPIRED", "VERIFICATION_CODE_INVALID", "SCA_EXEMPTION_APPLIED", "CHALLENGE_NOT_PENDING", "CHALLENGE_LIMIT_EXCEEDED", "ONE_CHALLENGE_LIMIT_REMAINING"

## Response default fields (application/json):

  - `code` (string)

  - `message` (string)

